Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.luntsys.luntbuild.remoting
Class ProjectFacade

    java.lang.Object
      com.luntsys.luntbuild.remoting.ProjectFacade

public class ProjectFacade
extends java.lang.Object

Facade of a luntbuild project, this is mainly used by web service client to operate project specific properties

Author:
  robin shine

Constructor Summary
`ProjectFacade()`

Method Summary
`java.lang.String` | `getDescription()` Get description of this project
`long` | `getId()` Get id of this project
`java.lang.String` | `getName()` Get name of this project
`VcsFacade` | `getVcs()` Get project level vcs object of this project
`void` | `setDescription(java.lang.String description)` Set description of this project
`void` | `setId(long id)` Set id of this project
`void` | `setName(java.lang.String name)` Set name of this project
`void` | `setVcs(VcsFacade vcs)` Set project level vcs object of this project

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectFacade

    public ProjectFacade()

Method Detail

### getName

    public java.lang.String getName()

  Get name of this project

  Returns:
    name of this project

### getId

    public long getId()

  Get id of this project

  Returns:
    id of this project

### setId

    public void setId(long id)

  Set id of this project

  Parameters:
    `id` -

### setName

    public void setName(java.lang.String name)

  Set name of this project

  Parameters:
    `name` -

### getDescription

    public java.lang.String getDescription()

  Get description of this project

  Returns:
    description of this project

### setDescription

    public void setDescription(java.lang.String description)

  Set description of this project

  Parameters:
    `description` -

### getVcs

    public VcsFacade getVcs()

  Get project level vcs object of this project

  Returns:
    project level vcs object

### setVcs

    public void setVcs(VcsFacade vcs)

  Set project level vcs object of this project

  Parameters:
    `vcs` -

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Luntsys Corp. All Rights Reserved.